GNU bug report logs - #60911
[PATCH 13/25] gnu: Add go-mvdan-cc-xurls.

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Katherine Cox-Buday <cox.katherine.e@HIDDEN>; Keywords: patch; merged with #60898, #60899, #60900, #60901, #60902, #60903, #60904, #60905, #60906, #60907, #60908, #60909, #60910, #60912, #60913, #60914, #60915, #60916, #60917, #60918, #60919, #60920, #60921, #60922; dated Wed, 18 Jan 2023 01:46:10 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.
Merged 60898 60899 60900 60901 60902 60903 60904 60905 60906 60907 60908 60909 60910 60911 60912 60913 60914 60915 60916 60917 60918 60919 60920 60921 60922. Request was from Katherine Cox-Buday <cox.katherine.e@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 60898 60899 60900 60901 60902 60903 60904 60905 60906 60907 60908 60909 60910 60911 60912 60913 60914 60915 60916 60917 60918 60919 60920 60921 60922. Request was from Tobias Geerinckx-Rice <me@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 60898 60899 60900 60901 60902 60903 60904 60905 60906 60907 60908 60909 60910 60911 60912 60913 60914 60915 60916 60917 60918 60919 60920. Request was from Tobias Geerinckx-Rice <me@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 60898 60899 60900 60901 60902 60903 60904 60905 60906 60907 60908 60909 60910 60911 60912 60913 60914 60915 60916 60917 60918. Request was from Tobias Geerinckx-Rice <me@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 60898 60899 60900 60901 60902 60903 60904 60905 60906 60907 60908 60909 60910 60911 60912 60913 60914. Request was from Tobias Geerinckx-Rice <me@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 18 Jan 2023 01:45:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 17 20:45:55 2023
Received: from localhost ([127.0.0.1]:38631 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1pHxWU-0007X2-Nr
	for submit <at> debbugs.gnu.org; Tue, 17 Jan 2023 20:45:55 -0500
Received: from lists.gnu.org ([209.51.188.17]:44460)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <cox.katherine.e@HIDDEN>) id 1pHxW3-0007U6-Bo
 for submit <at> debbugs.gnu.org; Tue, 17 Jan 2023 20:45:28 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10])
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <cox.katherine.e@HIDDEN>)
 id 1pHxW1-00027D-A5
 for guix-patches@HIDDEN; Tue, 17 Jan 2023 20:45:25 -0500
Received: from mail-il1-x131.google.com ([2607:f8b0:4864:20::131])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <cox.katherine.e@HIDDEN>)
 id 1pHxVz-0006z5-P4
 for guix-patches@HIDDEN; Tue, 17 Jan 2023 20:45:25 -0500
Received: by mail-il1-x131.google.com with SMTP id m15so16395688ilq.2
 for <guix-patches@HIDDEN>; Tue, 17 Jan 2023 17:45:22 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:from:to:cc:subject:date
 :message-id:reply-to;
 bh=R1ktX+UHpx/bKuh/quC0jJoMVAJHp7pVtCKr/xojCxo=;
 b=Ya4wQJshuMMqlDnQDlrIgsqOCyDxd4oyw4dY5Z8COjboTjh8+yAOs9FSfrOpiGn0Iv
 RA4CfwUTebRTPy5d/MdaSm9+oZmfJm5LLrMPjGw1Jq7O4tD7p3yRRat/d65QguU7o7jl
 zFWhVUz1r204nUNUEsWJh9FnONg52JOosn4ah0TrW+nCKqC2AoRHozpgK2AcMl6TrqMS
 NXpysvBR0M+CquggmOpoKOGqgtqVlj+pwvf0v/DuK0w8VE+LDDWlpZQGv7INom6hqYhY
 j/ZzJenzqp0HJ8Cx6xDdqocd3wENJEC+dzl0m0/soJb+xyZafyLKgCeBoONkJHhqqnSV
 +M8Q==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=R1ktX+UHpx/bKuh/quC0jJoMVAJHp7pVtCKr/xojCxo=;
 b=DTCa4e+cd1ChBCZ/9ui6lrQRVIUutQ+pk8UX2YE9ApTMZ6B8O9WjpONUvKZQSPFfC5
 l/4eBy31xnKxaxcC0gubW2YqvbhzHNAktFssJJVD/U8yVeJhvkurN1oZCu3L8OQanj/A
 J8IwgN9oQm6W32N8VaZSM147dF+WH8byIXFUpJHheJnlFmosrUljKgYL9h0uQ/UGDyja
 +FeEHCB3JG0IoqxSI4uU19FhHtN7jeyJ5yFy9YrNkAwSpk7x5dhscgWLpuz6YB1ParQV
 ZD4S20q2DA4JaFTdu6oRSiK3PmnkeCSmseXHKnJ1c47+j36UeLZwF/HDSvZy74yFcxKE
 f/Sg==
X-Gm-Message-State: AFqh2krWZ+6fFOdNAsj4P+6uSlRl1DncdHRVtiTYHMH+/rSRQiE09XEv
 036tv5IwKijAUGPNetmtdqbbEnZr49E=
X-Google-Smtp-Source: AMrXdXv0Atuj6LaOx+clECkcKgW4xY80DuNmgV0JfYT6JFqXrmCq5eZvNT7Hni6Rjl7yqDdKON1JXQ==
X-Received: by 2002:a92:3601:0:b0:30f:1c5:fb89 with SMTP id
 d1-20020a923601000000b0030f01c5fb89mr4427214ila.5.1674006321837; 
 Tue, 17 Jan 2023 17:45:21 -0800 (PST)
Received: from washu-v4.home.cox-buday.com
 (c-174-51-139-101.hsd1.co.comcast.net. [174.51.139.101])
 by smtp.gmail.com with ESMTPSA id
 p32-20020a056638192000b0039e89ea68f9sm7889250jal.135.2023.01.17.17.45.21
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 17 Jan 2023 17:45:21 -0800 (PST)
From: Katherine Cox-Buday <cox.katherine.e@HIDDEN>
To: guix-patches@HIDDEN
Subject: [PATCH 13/25] gnu: Add go-mvdan-cc-xurls.
Date: Tue, 17 Jan 2023 18:44:58 -0700
Message-Id: <20230118014510.19320-14-cox.katherine.e@HIDDEN>
X-Mailer: git-send-email 2.38.1
In-Reply-To: <20230118014510.19320-1-cox.katherine.e@HIDDEN>
References: <20230118014510.19320-1-cox.katherine.e@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
Received-SPF: pass client-ip=2607:f8b0:4864:20::131;
 envelope-from=cox.katherine.e@HIDDEN; helo=mail-il1-x131.google.com
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
Cc: Katherine Cox-Buday <cox.katherine.e@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

* gnu/packages/golang.scm (go-mvdan-cc-xurls): New variable.
---
 gnu/packages/golang.scm | 14 ++++++++++++++
 1 file changed, 14 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index cabc2a4bab..2b778ac49e 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -9792,6 +9792,20 @@ (define-public xurls
 be used as both a binary and a library.")
     (license license:bsd-3)))
 
+(define-public go-mvdan-cc-xurls
+  (package
+    (inherit xurls)
+    (name "go-mvdan-cc-xurls")
+    (arguments
+     `(#:import-path "mvdan.cc/xurls"
+       #:tests? #f
+       #:install-source? #t
+       #:phases (modify-phases %standard-phases
+                  (delete 'build))))
+    (propagated-inputs (package-inputs xurls))
+    (native-inputs '())
+    (inputs '())))
+
 (define-public go-golang-org-x-lint
   (let ((commit "83fdc39ff7b56453e3793356bcff3070b9b96445")
         (revision "0"))
-- 
2.38.1





Acknowledgement sent to Katherine Cox-Buday <cox.katherine.e@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#60911; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 18 Jan 2023 17:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.